# std::pmr::polymorphic_allocator::deallocate

From cppreference.com
< cpp‎ | memory‎ | polymorphic allocator

void deallocate(T* p, std::size_t n ); |  | (since C++17)

Deallocates the storage pointed to by `p`, which must have been allocated from a std::pmr::memory_resource `x` that compares equal to `*resource()` using `x.allocate(n * sizeof(T), alignof(T))`.

Equivalent to `this->resource()->deallocate(p, n * sizeof(T), alignof(T));`

### Parameters

p | - | pointer to memory to deallocate
n | - | the number of objects originally allocated

### Exceptions

Throws nothing.

### See also

deallocate [static] | deallocates storage using the allocator (public static member function of `std::allocator_traits`)
deallocate | deallocates memory (public member function of `std::pmr::memory_resource`)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/polymorphic_allocator/deallocate&oldid=84207"